Subject: Re: [Bitcoin-development] BIP - Selector Script

From: Peter Todd <[email-masked]>
Date: Fri, 25 Apr 2014 15:58:38 -0400

On Fri, Apr 25, 2014 at 07:17:48PM +0000, Luke-Jr wrote:
> I believe you meant to link here instead?
>     https://github.com/TierNolan/bips/blob/bip4x/bip-0046.mediawiki
> 
> This looks reasonable from a brief skim over, but does not define any use 
> cases (it mentions "necessary for atomic cross chain transfers", but does not 
> explain how it is useful for that - perhaps that belongs in another BIP you 
> haven't written yet, though). IMO, it should also require P2SH.

Keep in mind that P2SH redeemScripts are limited to just 520 bytes;
there's going to be many cases where more complex transactions just
can't be encoded in P2SH at all.

-- 
'peter'[:-1]@petertodd.org
00000000000000006407c80d5d4506a4253b4b426e0c7702963f8bf91e7971aa